#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetLogLevel(OF_LOG_VERBOSE);
	bool didLoad = false;
	
	
	didLoad = floatColorMesh.load("OF_MESHCOLOR_FLOAT.ply");
	ofLogVerbose() << "floatColorMesh didLoad: " << didLoad << endl;
	
	ucharColorMesh.setColorMode(OF_MESHCOLOR_UCHAR);
	didLoad = ucharColorMesh.load("OF_MESHCOLOR_UCHAR.ply");
	ofLogVerbose() << "ucharColorMesh didLoad: " << didLoad << endl;

	
	ofMesh failMesh;
	didLoad = failMesh.load("NULL.ply");
	
	ofLogVerbose() << "failMesh didLoad: " << didLoad << endl;
	
	camera.setupPerspective(true, 30, 0, 10000);
	camera.getTarget().setPosition(floatColorMesh.getCentroid());
	camera.setPosition(camera.getTarget().getPosition()-ofVec3f(0, 0, -1000));
	doDrawFloatMesh = true;
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	camera.begin();
	glPointSize(4);
	if (doDrawFloatMesh) {
		floatColorMesh.drawVertices();
	}else {
		ucharColorMesh.drawVertices();
	}

		
	camera.end();
	ofDrawBitmapStringHighlight("PRESS 1 TO TOGGLE MESH", ofPoint(20, 20), ofColor::black, ofColor::white);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if (key == '1') {
		doDrawFloatMesh = !doDrawFloatMesh;
		if (doDrawFloatMesh) {
			camera.getTarget().setPosition(floatColorMesh.getCentroid());
		}else {
			camera.getTarget().setPosition(ucharColorMesh.getCentroid());
		}
		camera.setPosition(camera.getTarget().getPosition()-ofVec3f(0, 0, -1000));

	}
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}